package com.zjrs.zwnw.rlzysc.blo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.rlzysc.dto.JxgwCommDTO;
import com.zjrs.zwnw.rlzysc.dto.JxgwQueryDTO;
import com.zjrs.zwnw.rlzysc.dto.JxgwSaveDTO;
import com.zjrs.zwnw.rlzysc.po.VRsRlzyJxgwPO;

import jakarta.servlet.http.HttpServletResponse;

public interface JxgwBLO {
    public PageResult getList(JxgwQueryDTO dto);

    public VRsRlzyJxgwPO getDetail(JxgwCommDTO dto);

    public String saveJxgw(JxgwSaveDTO dto);

    public void delJxgw(JxgwCommDTO dto);

    public void updateZt(JxgwCommDTO dto, String s);

    public void exportJxgw(JxgwQueryDTO dto, HttpServletResponse res);
}
